package de.ugoe.cs.eventbench.jfcmonitor;
import java.awt.AWTEvent;
import java.awt.Toolkit;
import java.awt.event.AWTEventListener;
import java.util.Arrays;


public class Runner {

	public static void main(String[] args) throws Exception {
		AWTEventListener listener = new JFCListener();
		
		Toolkit.getDefaultToolkit().addAWTEventListener(listener,
				AWTEvent.KEY_EVENT_MASK);
		Toolkit.getDefaultToolkit().addAWTEventListener(listener, AWTEvent.MOUSE_EVENT_MASK);
		
		JarLauncher launcher = new JarLauncher(args[0], Arrays.copyOfRange(args, 1, args.length));
		launcher.exec();
	}
}
